com.sun.tdk.specdiff.ant

## Class TaskHelper

- java.lang.Object
- - com.sun.tdk.specdiff.ant.TaskHelper

-     public final class TaskHelper
      extends java.lang.Object

  Helper class: service methods for Ant tasks located in `com.sun.tdk.specdiff.ant` package

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_TYPE`
    `static java.lang.String` | `JAVADOC_TYPE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `configure(AbstractDiffReportFormatter formatter, Configuration cfg, java.io.File outRootDir, java.io.File picsDir, java.lang.String statXslParam, java.lang.String reportXslParam, java.lang.String problemXslParam)` Initializes `formatter` with optional data
    `static java.io.File` | `copyImages(java.io.File outRootDir)` Copies all Images from `PICS` to `outRootDir`/pics
    `static java.lang.String[]` | `decodeClasspathParam(java.lang.String s)` Decodes classpath string to array of items
    `static java.io.File` | `getDestDir(java.io.File dir, java.lang.String path)` Creates and returns destination folder for file path `path` in `dir`
    `static boolean` | `isPackage(Configuration cfg, java.lang.String fileName)` Checks if `fileName` is a package file
    `static void` | `setCustomCRN(java.lang.String customCRN)` Sets custom copyright notice
    `static void` | `setDefaultOracleCRN()` Sets default Oracle copyright notice: © $YEAR Oracle Corporation and/or its affiliates

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TYPE

          public static final java.lang.String DEFAULT_TYPE

      See Also:
        Constant Field Values

    - #### JAVADOC_TYPE

          public static final java.lang.String JAVADOC_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setCustomCRN

          public static void setCustomCRN(java.lang.String customCRN)

      Sets custom copyright notice
      Parameters:
        `customCRN` - custom copyright notice

    - #### setDefaultOracleCRN

          public static void setDefaultOracleCRN()

      Sets default Oracle copyright notice:
      © $YEAR Oracle Corporation and/or its affiliates

    - #### getDestDir

          public static java.io.File getDestDir(java.io.File dir,
                                                java.lang.String path)
                                         throws java.io.IOException

      Creates and returns destination folder for file path `path` in `dir`
      Throws:
        `java.io.IOException`

    - #### copyImages

          public static java.io.File copyImages(java.io.File outRootDir)

      Copies all Images from `PICS` to `outRootDir`/pics

    - #### decodeClasspathParam

          public static java.lang.String[] decodeClasspathParam(java.lang.String s)

      Decodes classpath string to array of items

    - #### isPackage

          public static boolean isPackage(Configuration cfg,
                                          java.lang.String fileName)

      Checks if `fileName` is a package file

    - #### configure

          public static void configure(AbstractDiffReportFormatter formatter,
                                       Configuration cfg,
                                       java.io.File outRootDir,
                                       java.io.File picsDir,
                                       java.lang.String statXslParam,
                                       java.lang.String reportXslParam,
                                       java.lang.String problemXslParam)

      Initializes `formatter` with optional data
      Parameters:
        `formatter` - report formatter to configure
        `cfg` - current configuration to retrieve values from
        `outRootDir` - root output dir
        `picsDir` - dir containing pictures
        `statXslParam` - name of the config property holding statistics XSTL
        `reportXslParam` - name of the config property holding report XSTL
        `problemXslParam` - name of the config property holding problem XSTL